/********
 *   CLASS: CheckGroup
 *  AUTHOR: Tim Vernum <zodsoft@kagi.com> ; Aug 1999
 * LICENCE: AUL
 ********/

#include "CheckGroup.h"
#include <CheckBox.h>

CheckGroup :: CheckGroup( uint32 mx )
:	fCount(0)
,	fMaxCount(mx)
,	fBoxes(NULL)
{
	fBoxes = new BCheckBox *[fMaxCount] ;
}
		
CheckGroup :: ~CheckGroup( void )
{
	delete[] fBoxes ;
}

void CheckGroup :: DeleteBoxes( void )
{
	uint32 i ;
	for(i=0; i<fCount; i++)
	{
		delete fBoxes[i] ;
		fBoxes[i] = NULL ;
	}
	fCount = 0 ;
}

bool CheckGroup :: AddBox( BCheckBox * box )
{
	if( fCount == fMaxCount )
		return false ;

	fBoxes[fCount] = box ;
	fCount++;
	return true ;
}

BCheckBox * CheckGroup::BoxAt( uint32 i )
{
	if( i >= fCount )
		return NULL ;
	return fBoxes[i] ;
}

uint32 CheckGroup:: GetValue( void )
{
	uint32 i ;
	uint32 value = 0 ;
	for(i=0; i<fCount; i++)
	{
		if( fBoxes[i]->Value() )
			value |= (1<<i) ;
	}
	return value ;
}
		
void CheckGroup :: SetValue( uint32 value )
{
	uint32 i ;
	for(i=0; i<fCount; i++)
	{
		if( value & (1<<i) )
			fBoxes[i]->SetValue(1) ;
		else
			fBoxes[i]->SetValue(0) ;
	}
}
