/*
 * General.h
 * Part of the Workbar application
 * (c) 1999, Tim Vernum <zodsoft@kagi.com>
 * Distributed under the "Acknowledged Use Licence" see Doc/Licence
 */

#ifndef GENERAL_H
#define GENERAL_H

//=================
// BeOS Headers
#include <SupportDefs.h>

namespace General
{
	namespace MathUtils
	{
		// Equivalent to strcmp - useful in sorting
		int		intcmp( int i1, int i2 ) ;

		double min( double a, double b ) ;
		double max( double a, double b ) ;
	
		long min( long a, long b ) ;
		long max( long a, long b ) ;
	}
	
	namespace StringUtils
	{
		// Pointer to first '\0' in arg
		char * StrEnd( char * ) ;
	}
	
	namespace ObjectUtils
	{
		// Duplicates an object from another pointer
		template <class T>
		T* Dup( T* t )
		{
			return new T( *t ) ;
		}  
		
		template <class T>
		void Swap( T& a, T& b ) 
		{
			T c = a ;
			a = b ;
			b = c ;
		}
		
	}

} ;

#endif
