#ifndef OPTIONSWINDOW_H
#define OPTIONSWINDOW_H

/* (c) 1999, Tim Vernum
 * Licenced under the Acknowledged Use Licence
 * See Doc/Licence
 */

#include <be/interface/Window.h>
#include <be/app/Messenger.h>
#include "RadioGroup.h"
#include "CheckGroup.h"

class BCheckBox ;
namespace WorkBar
{
	class OptionsWindow : public BWindow
	{
		typedef BWindow inherited ;
		public:
			OptionsWindow( ) ;
	
			void Init( BMessage *, const BMessenger&, BPoint ) ;		
			void MessageReceived( BMessage * ) ;
			
		private:
			void PackMessage( BMessage * ) ;
			void Cancel( void ) ;
			
			BMessenger fTarget;
	
			RadioGroup fOrientation ;
			enum {
				WB_Vertical = 0 ,
				WB_Horizontal = 1 ,
			} ;
	
			RadioGroup fLook ;
			enum {
				WB_Regular = 0 ,
				WB_MiniTab = 1 ,
				WB_Tabless = 2 ,
				WB_Borderless = 3
			} ;
			
			RadioGroup fFeel ;
			enum {
				WB_Normal = 0 ,
				WB_Floating = 1
			} ;
			
			CheckGroup fFlags ;
			enum {
				WB_Closable   	= 0x01 ,
				WB_Movable   	= 0x02 ,
				WB_Resizable	= 0x04 ,
				WB_AvoidFocus 	= 0x08 ,
				WB_AvoidFront 	= 0x10 ,
				WB_AcceptFirst	= 0x20
			} ;
	} ;		
}

#endif

