/********
 *   CLASS: RadioGroup
 *  AUTHOR: Tim Vernum <zodsoft@kagi.com> ; Aug 1999
 * LICENCE: Acknowledged Use Licence
 ********/

#include "RadioGroup.h"
#include <RadioButton.h>

RadioGroup :: RadioGroup( uint32 max )
:	fCount(0)
,	fMaxCount(max)
,	fButtons(NULL)
{
	fButtons = new BRadioButton *[max] ;
}
		
RadioGroup :: ~RadioGroup( void )
{
	delete[] fButtons ;
}

void RadioGroup :: DeleteButtons( void )
{
	uint32 i ;
	for(i=0; i<fCount; i++)
	{
		delete fButtons[i] ;
		fButtons[i] = NULL ;
	}
	fCount = 0 ;
}

bool RadioGroup :: AddButton( BRadioButton * butt )
{
	if( fCount == fMaxCount )
		return false ;

	fButtons[fCount] = butt ;
	fCount++;
	return true ;
}

BRadioButton * RadioGroup::ButtonAt( uint32 i )
{
	if( i >= fCount )
		return NULL ;
	return fButtons[i] ;
}

uint32 RadioGroup:: GetSelection( void )
{
	uint32 i ;
	for(i=0; i<fCount; i++)
	{
		if( fButtons[i]->Value() )
			return i ;
	}
	return 0 ;
}
		
bool RadioGroup :: SetSelection( uint32 i )
{
	if( i >= fCount )
		return false ;
	fButtons[i]->SetValue(1) ;
	return true ;
}
