/*
 * Version.h
 * Part of the Workbar application
 * (c) 1999, Tim Vernum <zodsoft@kagi.com>
 * Distributed under the "Acknowledged Use Licence" see Doc/Licence
 */


#ifndef VERSION_H
#define VERSION_H

#include <SupportDefs.h>

#include <stdio.h>

namespace Version
{
	extern	uint8	MajorVersion ;
	extern	uint8	MiddleVersion ;
	extern	uint8	MinorVersion ;
	extern	char 	Status ;
	extern 	uint8	ReleaseNumber ;
	
	extern 	uint16 	BuildNumber ;

	extern	char	BuildDate[] ;
	extern	char	BuildTime[] ;
	
	extern	char	AppName[] ;
	extern	char	ShortInfo[] ;
	extern	char	LongInfo[] ;
	
	bool	LoadVersionData( void ) ;
	bool	ReleaseVersionData( void ) ;

	void	PrintVersionInfo( FILE * ) ;
	void	PrintVersionInfo( char * ) ;
}

#endif