#include "VerticalBox.h"

/* (c) 1999, Tim Vernum
 * Licenced under the Acknowledged Use Licence
 * See Doc/Licence
 */

#include <Box.h>
VerticalBox :: VerticalBox( BRect r, const char *n , uint32 rs , uint32 f, border_style b )
:	inherited( r,n,rs,f,b )
,	fSize( 15, 10 )
{
}
		
void VerticalBox :: AddView( BView * v )
{
	AddChild( v ) ;
	v->MoveTo( 10, fSize.y + 5 ) ;
	v->ResizeToPreferred() ;
	
	BRect r = v->Frame();
	if( r.right > fSize.x )
		fSize.x = r.right ;
	fSize.y = r.bottom ;
}

void VerticalBox :: GetPreferredSize( float * w, float * h)
{
	const char * label = Label() ;
	float lw = 0 ;
	if( label )
	{
		lw = StringWidth( label ) ;
	}
	else
	{
		BView * view = LabelView() ;
		if( view )
		{
			view->ResizeToPreferred() ;
			lw = view->Frame().Width() ;
		}
	}
	
	*w = 15 + lw ;
	if( *w < fSize.x )
		*w = fSize.x ;
	*w = *w + 15 ;

	*h = fSize.y + 10 ;
}

