/*
 * WBView.h
 * Part of the Workbar application
 * (c) 1999, Tim Vernum <zodsoft@kagi.com>
 * Distributed under the "Acknowledged Use Licence" see Doc/Licence
 */


#ifndef   RGBCOLOUR_H
#include "RGBColour.h"
#endif

#include <View.h>

class BPopUpMenu ;

namespace WorkBar
{
	class _EXPORT View : public BView
	{
		typedef BView inherited ;
		public:


					 View( BRect , bool ) ;
					~View( void ) ;

//			static BArchivable *Instantiate( BMessage * ) ;
//			status_t Archive(BMessage *, bool = true) const ;

			void	AttachedToWindow( void ) ;
		
			void	MessageReceived( BMessage * ) ;
			void	MouseDown( BPoint ) ;
			void	MouseMoved( BPoint, uint32, const BMessage * ) ;
			
			void	Pulse( void ) ;
			void	Draw( BRect ) ;

		private:

			void	Reset( float, float, bool ) ;

			void	RaisePopup( BPoint ) ;
			
			void 	LaunchRef( entry_ref& ) ;

			void	ActivateWorkspace( BPoint ) ;
			int32	WorkspaceAt( BPoint ) ;

			void	DrawWorkspace( uint32, BRect ) ;

			void 	SetupWorkspaces( void ) ;
			void	SetupCurrentWorkspace( void ) ;

			/* Current Status */
			uint32	fnWorkspaces ;
			uint32	fCurrentWorkspace ;
			Colours::RGBColour * fColours ;
			
			bool	fHorizontal ;
			BPopUpMenu * fPopUp ;
			
			struct  mouse_state
			{
				mouse_state() ;
				BPoint    where ;
				bigtime_t when ;
				uint32    transit ;
				bool      dragging ;
			} ;
			mouse_state mouse ;
	} ;
}
		
