/*
 * WBWindow.h
 * Part of the Workbar application
 * (c) 1999, Tim Vernum <zodsoft@kagi.com>
 * Distributed under the "Acknowledged Use Licence" see Doc/Licence
 */

#ifndef WBWINDOW_H
#define WBWINDOW_H

#include <be/interface/Window.h>
#include <be/app/PropertyInfo.h>

#include "WBConfig.h"

namespace WorkBar
{
	class OptionsWindow ;
	class Window : public BWindow
	{
		typedef BWindow inherited ; 
		public:
			Window( void ) ;
			
			void		MessageReceived( BMessage * ) ;

			void		Quit( void ) ;
			
			void		WorkspaceActivated( int32, bool ) ;
			void		WorkspacesChanged( uint32, uint32 ) ;
		
			status_t	GetSupportedSuites( BMessage * ) ;
			BHandler *	ResolveSpecifier( BMessage * , int32 , BMessage *,
											int32 , const char * ) ;

			void		FrameMoved( BPoint ) ;
			void		FrameResized( float, float ) ;

		private:

			bool	HandleProperty( const char *, BMessage * ) ;
			void	ShowOptionsWindow( void ) ;
			void 	Rotate( void ) ;
		
			void	FindPosition( BRect& ) ;
			void	FindPosition( void ) ;
		
			BView * fpView ;
			bool  *	fbPositionValid ;

			OptionsWindow * fpOptionsWindow ;

			void	ImplementConfig( void ) ;
			Config config ;

			static  property_info sPropList[] ;
	} ;
}
#endif